#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IO
%define		pnam	Multiplex
Summary:	IO::Multiplex - manage IO on many file handles
Summary(pl.UTF-8):	IO::Multiplex - zarządzanie operacjami we/wy na wielu uchwytach plików
Name:		perl-IO-Multiplex
Version:	1.13
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a74f4c07a543cbf06ba3b24fe1be94e9
URL:		http://search.cpan.org/dist/IO-Multiplex/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::Multiplex is designed to take the effort out of managing multiple
file handles. It is essentially a really fancy front end to the select
system call. In addition to maintaining the select loop, it buffers
all input and output to/from the file handles. It can also accept
incoming connections on one or more listen sockets.

%description -l pl.UTF-8
Moduł IO::Multiplex został zaprojektowany jako próba zarządzania
wieloma uchwytami plików. Jest przede wszystkim naprawdę fantazyjnym
frontendem do wywołania systemowego select. Oprócz zarządzania pętlą
wywołań select, buforuje całe wejście i wyjście do/z uchwytów plików.
Może także akceptować przychodzące połączenia z jednego lub więcej
nasłuchujących gniazd.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorlib}/IO/Multiplex.pm
%{_mandir}/man3/*
%changelog
* Sat Apr 14 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-IO-Multiplex.git;a=log;h=a57603ad3fec87c2ad5973825e390cf1b35a2173

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> a57603a
- up to 1.13

* Tue Sep 15 2009 amateja <amateja@pld-linux.org> 5705e71
- updated to 1.10

* Sun May 27 2007 Jakub Bogusz <qboosh@pld-linux.org> f21f6e8
- generic URL

* Sun May 27 2007 Maciej Pijanka <agaran@pld-linux.org> bb17062
- up to 1.09, rel 1, builds here

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a2cc02e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 39edadf
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 998b71e
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> 50cd799
- fixed perl-devel BR

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 839736f
- ported to new bconds

* Wed Apr 14 2004 ankry <ankry@pld-linux.org> d58922f
- cosmetics, unification

* Sun Feb 08 2004 Jakub Bogusz <qboosh@pld-linux.org> c18e426
- obsolete (already in sources)

* Sun Feb 08 2004 misi3k <misi3k@pld-linux.org> fa3bb61
- updated to 1.08
- removed patch0 (patch for 2.6 onboard)

* Fri Oct 24 2003 Jakub Bogusz <qboosh@pld-linux.org> 05db88d
- updated to 1.07
- added udptest-linux26 patch (udp test failed on Linux 2.6 because sendto
  returns EDESTADDRREQ on 2.6, not ENOTCONN as before)

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 96ee3a3
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 4261458
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> fbed488
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 8b46219
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 992dcc6
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 6dae94f
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 3bbdda5
- use the __perl macro

